Subject: RE: UWIN vs. GNU-Win32: comparison wanted.
From: [email-masked] (Sergey Okhapkin)

15 May 1997 23:03:17 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: "[email-masked]" <[email-masked]>,
        "'Francis Litterio'"
	 <[email-masked]>
Encoding: 40 TEXT
Original-Sender: [email-masked]

Francis Litterio wrote:
> Does anyone have any info about how UWIN compares with GNU-Win32?  I
> have never used UWIN.  In particular:

I have tried to use UWIN. Generally speaking, mr. Korn made very good work. 
But... The package does not contain cc compiler, only wrapper for MSVC. So, 
you need MSVC installed to compile anything. I have MSVC, but I could not 
compile with UWIN anything more complex than "hello, world" :-( Probably, 
it's a problem with my head :-) UWIN sources are not available. UWIN have 
very good tty/pty handling, but only when all tools are used from ksh. Tty 
system does not initialize properly when tools are running from NT's 
command prompt. For a lot of operations UWIN starts posix tools from NT 
resource kit.
>
> How good/bad is UWIN's signal handling?

Almost the same as in cygnus B18.

>
> Does UWIN support process groups?

Yes.

>
> How does UWIN's fork implementation differ from that of GNU-Win32?
>

No differences. The same method like in cygwin. But most of UWIN tools are 
rewritten to use spawn() instead of fork/exec, so they runs a bit faster.

> How does UWIN deal with the perennial issue of text vs. binary data in
> files and pipes?

All files/pipes/etc are handled in binary mode only.

--
Sergey Okhapkin
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".